package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * QosBwcWanInfoOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class QosBwcWanInfoOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("configured")
  private Boolean configured;

  public QosBwcWanInfoOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * WAN port ID.
   * @return id
  */
  @ApiModelProperty(value = "WAN port ID.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public QosBwcWanInfoOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * WAN port name.
   * @return name
  */
  @ApiModelProperty(value = "WAN port name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public QosBwcWanInfoOpenApiVo configured(Boolean configured) {
    this.configured = configured;
    return this;
  }

  /**
   * Whether the port has been configured with QoS Bandwidth Control.
   * @return configured
  */
  @ApiModelProperty(value = "Whether the port has been configured with QoS Bandwidth Control.")


  public Boolean getConfigured() {
    return configured;
  }

  public void setConfigured(Boolean configured) {
    this.configured = configured;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    QosBwcWanInfoOpenApiVo qosBwcWanInfoOpenApiVo = (QosBwcWanInfoOpenApiVo) o;
    return Objects.equals(this.id, qosBwcWanInfoOpenApiVo.id) &&
        Objects.equals(this.name, qosBwcWanInfoOpenApiVo.name) &&
        Objects.equals(this.configured, qosBwcWanInfoOpenApiVo.configured);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, configured);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class QosBwcWanInfoOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    configured: ").append(toIndentedString(configured)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

